<p align="center">
  <a href="https://invertase.io/oss/react-native-firebase">
    <img width="180px" src="https://i.imgur.com/JIyBtKW.png"><br/>
  </a>
  <h3 align="center">Tests Helpers</h2>
</p>

<p align="center">
  <a href="https://www.npmjs.com/package/react-native-firebase"><img src="https://img.shields.io/npm/dm/react-native-firebase.svg?style=flat-square" alt="NPM downloads"></a>
  <a href="https://www.npmjs.com/package/react-native-firebase"><img src="https://img.shields.io/npm/v/react-native-firebase.svg?style=flat-square" alt="NPM version"></a>
  <a href="#backers"><img src="https://opencollective.com/react-native-firebase/backers/badge.svg" alt="Backers on Open Collective"></a>
  <a href="#sponsors"><img src="https://opencollective.com/react-native-firebase/sponsors/badge.svg" alt="Sponsors on Open Collective"></a>
  <a href="https://discord.gg/C9aK28N"><img src="https://img.shields.io/discord/295953187817521152.svg?logo=discord&style=flat-square&colorA=7289da&label=discord" alt="Chat"></a>
  <a href="https://twitter.com/rnfirebase"><img src="https://img.shields.io/twitter/follow/rnfirebase.svg?style=social&label=Follow" alt="Follow on Twitter"></a>
</p>

Various helpers and data samples used for React Native Firebase testing.

## License

Commercial use, Distribution, Modification, Patent use and Private use is NOT permitted except for usage by
Invertase and it's React Native Firebase product only.

Specifically; you are NOT permitted to use this code in any form except in circumstances where it's usage is only for
the benefit of, and contributing to, the React Native Firebase product by Invertase, or; you have been permitted to do
so in writing by Invertase.

## Developer Notes

- when you run `yarn` in the main directory, it will install all the packages you need for development, but it will also run the lifecycle script `postinstall` which will fail since it expects to be run *only* in `@react-native-firebase/tests`. That's okay.
- you will need to run `yarn build` every time you change source in the main package before testing it
- You may prove to yourself that the package is working by looking at `android/app/google-services.json` and `ios/GoogleServices-Info.plist` in `tests/yarn3` after running `yarn` there
- when you run `yarn` in `tests/yarn3` to validate changes, it may fail on a malloc error because it's trying to pack up the whole `node_modules` folder from the main package in `../../`. Delete the `node_modules` up there and re-run the test, it should work. A quick investigation of the `link:` and `portal:` options instead of `file:` had unsatisfactory results as it did not run the `postinstall` script every time.
- I believe the `context.TestingApi` method is unused (it is not used in `@react-native-firebase/tests`) but it is unknown if there are other packages using this one, so it remains
